Add IP to whitelist
curl --request POST \
--url https://dev.api.withconvexity.com/v1/projects/ip-whitelist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ipAddress": "203.0.113.10",
"label": "Production server"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/projects/ip-whitelist"
payload = {
"ipAddress": "203.0.113.10",
"label": "Production server"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ipAddress: '203.0.113.10', label: 'Production server'})
};
fetch('https://dev.api.withconvexity.com/v1/projects/ip-whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "IP whitelisted successfully",
"data": {
"id": "665f0a1b2c3d4e5f60123abc",
"projectId": "66f0a1b2c3d4e5f601234567",
"ipAddress": "203.0.113.10",
"label": "Production server",
"createdBy": "42",
"createdAt": "2026-07-03T09:00:00.000Z",
"updatedAt": "2026-07-03T09:00:00.000Z"
}
}{
"status": false,
"message": "Authorization token is missing or malformed."
}{
"status": false,
"message": "ipAddress must be a valid IPv4 or IPv6 address"
}Projects
Add IP to whitelist
Adds an IP address to the project allowlist. Once any address is whitelisted, requests from other addresses are rejected.
POST
/
v1
/
projects
/
ip-whitelist
Add IP to whitelist
curl --request POST \
--url https://dev.api.withconvexity.com/v1/projects/ip-whitelist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ipAddress": "203.0.113.10",
"label": "Production server"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/projects/ip-whitelist"
payload = {
"ipAddress": "203.0.113.10",
"label": "Production server"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ipAddress: '203.0.113.10', label: 'Production server'})
};
fetch('https://dev.api.withconvexity.com/v1/projects/ip-whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "IP whitelisted successfully",
"data": {
"id": "665f0a1b2c3d4e5f60123abc",
"projectId": "66f0a1b2c3d4e5f601234567",
"ipAddress": "203.0.113.10",
"label": "Production server",
"createdBy": "42",
"createdAt": "2026-07-03T09:00:00.000Z",
"updatedAt": "2026-07-03T09:00:00.000Z"
}
}{
"status": false,
"message": "Authorization token is missing or malformed."
}{
"status": false,
"message": "ipAddress must be a valid IPv4 or IPv6 address"
}